NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Features.ConnectLattices2Builder Class Reference

Represents a Features.ConnectLattices2 builder More...

Inheritance diagram for NXOpen.Features.ConnectLattices2Builder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  RodsizeOptions { Variable, Fixed }
 These represent the options for defining rod diameters More...
 

Properties

unsafe NXOpen.ScCollector Lattice1 [get]
 Returns the lattice 1 which will be connected with lattice 2 More...
 
unsafe NXOpen.ScCollector Lattice2 [get]
 Returns the lattice 2 which will be connected with lattice 1 More...
 
unsafe NXOpen.Expression MaxCheckingDistance [get]
 Returns the max checking distance which is used to find the near vertices for connection More...
 
unsafe NXOpen.Expression RodDiameter [get]
 Returns the rod diameter More...
 
unsafe
NXOpen.Features.ConnectLattices2Builder.RodsizeOptions 
RodSizeOption [get, set]
 Returns or sets the option to define rod size More...
 
unsafe int RodsPerVertex [get, set]
 Returns or sets the number of rods per vertex created by connecting. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Features.ConnectLattices2 builder

To create a new instance of this class, use NXOpen.Features.LatticeFeatureCollection.CreateConnectLattices2Builder

Default values.

Property Value

MaxCheckingDistance.Value

10 (millimeters part), 0.4 (inches part)

RodDiameter.Value

1 (millimeters part), 0.04 (inches part)

RodSizeOption

Variable

RodsPerVertex

1

Created in NX1899.0.0

Member Enumeration Documentation

These represent the options for defining rod diameters

Enumerator
Variable 

Variable

Fixed 

Fixed

Property Documentation

unsafe NXOpen.ScCollector NXOpen.Features.ConnectLattices2Builder.Lattice1
get

Returns the lattice 1 which will be connected with lattice 2

Created in NX1899.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.ConnectLattices2Builder.Lattice2
get

Returns the lattice 2 which will be connected with lattice 1

Created in NX1899.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.ConnectLattices2Builder.MaxCheckingDistance
get

Returns the max checking distance which is used to find the near vertices for connection

Created in NX1899.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.ConnectLattices2Builder.RodDiameter
get

Returns the rod diameter

Created in NX1899.0.0

License requirements: None.

unsafe NXOpen.Features.ConnectLattices2Builder.RodsizeOptions NXOpen.Features.ConnectLattices2Builder.RodSizeOption
getset

Returns or sets the option to define rod size

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe int NXOpen.Features.ConnectLattices2Builder.RodsPerVertex
getset

Returns or sets the number of rods per vertex created by connecting.

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.